#!/usr/bin/env python
# -*- coding: utf-8 -*-

# # Cheat Sheet on Graphs
# 
# Links, pointers on many plotting libraries.

# In[1]:


from jyquickhelper import add_notebook_menu
add_notebook_menu()


# ## Notebook start
# 
# To include graphs in a notebook, many modules require to execute a line before it is imported.
# 
# [matplotlib](http://matplotlib.org/)

# In[2]:


get_ipython().run_line_magic('matplotlib', 'inline')


# Changing style

# In[3]:


import matplotlib.pyplot as plt
plt.style.use('ggplot')


# Available styles:

# In[4]:


plt.style.available


# [bokeh](http://bokeh.pydata.org/en/latest/)

# In[5]:


import bokeh.plotting as bplt
bplt.output_notebook()


# [pyecharts](https://github.com/pyecharts/pyecharts)

# In[6]:


import pyecharts


# ## Change style
# 
# Only with [matplotlib](http://matplotlib.org/)

# In[7]:


import matplotlib.pyplot as plt
plt.style.use('ggplot')


# ## If you want to draw a...

# ### Basic graph as images
# 
# * [maplotlib](http://matplotlib.org/)
# * [pandas.DataFrame.plot](http://pandas.pydata.org/pandas-docs/stable/visualization.html)

# ### Basic graphs as javascript
# 
# * [bokeh](http://bokeh.pydata.org/en/latest/)
# * [pygal](http://www.pygal.org/en/latest/)
# * [C3.js](http://www.xavierdupre.fr/app/jyquickhelper/helpsphinx/notebooks/notebook_graph_js.html)
# * [pyecharts](https://github.com/pyecharts/pyecharts)

# ### Animated graphs
# 
# * [bokeh](http://bokeh.pydata.org/en/latest/)

# ### Maps
# 
# * [cartopy](http://scitools.org.uk/cartopy/)
# * [folium](https://github.com/python-visualization/folium)

# ### Statistical graphs
# 
# * [seaborn](http://stanford.edu/~mwaskom/software/seaborn/)

# ### Networks
# 
# * [networkx](https://networkx.github.io/)
# * [graphviz](https://pypi.python.org/pypi/graphviz)

# ### More
# 
# * [10 plotting librairies](http://www.xavierdupre.fr/app/jupytalk/helpsphinx/notebooks/10_plotting_libraries.html#plottinglibrariesrst)

# ## Notebooks and Python
# 
# * [Graphes - énoncé](http://www.xavierdupre.fr/app/actuariat_python/helpsphinx/notebooks/seance6_graphes_enonce.html) (French)
# * [Rappel de ce que vous savez déjà mais avez peut-être oublié](http://www.xavierdupre.fr/app/ensae_teaching_cs/helpsphinx/notebooks/td2_eco_rappels_1a.html)

# In[8]: